@import "../../base-sass/config"

$font_color: #111
$link_color: #333
$link_color_hover: #000
$general_background_color: #f9f9f9
$border-color-dark: #aaa
$gradient-dark-hi: #f9faf8
$gradient-dark-lo: #e5e6e4

@import "../../base-sass/common"

.status-critical, .status-down
	@include background(linear-gradient(top, $status-red-hi, $status-red-lo))
	@include filter-gradient($status-red-hi, $status-red-lo, vertical)
	color: #000 !important
	text-shadow: 0 0 3px #f00
	border: 1px solid #44100a !important

	a
		text-shadow: 0 0 3px #f00
		color: #000 !important
		font-weight: normal

.status-warning, .status-unreachable
	@include background(linear-gradient(top, $status-yellow-hi, $status-yellow-lo))
	@include filter-gradient($status-yellow-hi, $status-yellow-lo, vertical)
	color: #000 !important
	text-shadow: 0 0 3px #ff0
	border: 1px solid #a67b28 !important

	a
		text-shadow: 0 0 3px #ff0
		color: #000 !important
		font-weight: normal

.status-unknown
	@include background(linear-gradient(top, $status-orange-hi, $status-orange-lo))
	@include filter-gradient($status-orange-hi, $status-orange-lo, vertical)
	color: #000 !important
	font-weight: normal
	border: 1px solid #9d440e !important
	text-shadow: 0 0 3px #fc0

	a
		text-shadow: 0 0 3px #fc0
		color: #000 !important
		font-weight: normal

.status-ok, .status-up
	@include background(linear-gradient(top, $status-green-hi, $status-green-lo))
	@include filter-gradient($status-green-hi, $status-green-lo, vertical)
	color: #000 !important
	text-shadow: 0 0 3px #0f0
	border: 1px solid #4a862d !important

	a
		text-shadow: 0 0 3px #0f0
		color: #000 !important
		font-weight: normal

td.up, td.ok
	@include background(linear-gradient(top, $status-green-hi, $status-green-lo))
	@include filter-gradient($status-green-hi, $status-green-lo, vertical)

td.critical, td.down
	@include background(linear-gradient(top, $status-red-hi, $status-red-lo))
	@include filter-gradient($status-red-hi, $status-red-lo, vertical)

td.unknown
	@include background(linear-gradient(top, $status-orange-hi, $status-orange-lo))
	@include filter-gradient($status-orange-hi, $status-orange-lo, vertical)

td.warning, td.unreachable
	@include background(linear-gradient(top, $status-yellow-hi, $status-yellow-lo))
	@include filter-gradient($status-yellow-hi, $status-yellow-lo, vertical)

.logo-image
	background: url('../../icons/icon.png') no-repeat
